| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- HighResPeakPickerParameters

# MsXpS::libXpertMassCore::HighResPeakPickerParameters Struct

struct MsXpS::libXpertMassCore::HighResPeakPickerParameters

Provides parameters for the HighResPeakPicker peak picking feature. More...

Header: | `#include <MsXpS/libXpertMassCore/HighResPeakPicker.hpp>`

- List of all members, including inherited members
- HighResPeakPickerParameters is part of libXpertMassCore Data processing.

## Public Variables

double | minimumIntensity
qsizetype | missingPeakCount
double | signalToNoise

## Detailed Description

## Member Variable Documentation

### double HighResPeakPickerParameters::minimumIntensity

.

### qsizetype HighResPeakPickerParameters::missingPeakCount

Number of peaks admitted to be absent from the .

### double HighResPeakPickerParameters::signalToNoise

Signal to noise ratio above which the peak picking process is aborted.

This value is used to filter centroids on the basis of the signal to noise estimation computed by LocalSignalToNoiseEstimator.

Setting this value to 0 removes the estimation of the signal to noise entirely.